Issue 72648 - Add Russian Thesaurus
Summary: Add Russian Thesaurus
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: thesaurus (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All All
: P3 Trivial with 14 votes (vote)
Target Milestone: OOo 2.4
Assignee: pavel
QA Contact: issues@lingucomponent
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-16 19:19 UTC by rail_ooo
Modified: 2013-02-24 20:40 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description rail_ooo 2006-12-16 19:19:50 UTC
There is a Russian thesaurus released ~2 months ago under LGPL and packed for
OOo by me.
http://wiki.services.openoffice.org/wiki/Dictionaries#Russian_.28Russia.29

Can we integrate it?
Is LGPL enough or we need a JCA from mainstream author?
Comment 1 pavel 2007-01-18 14:41:25 UTC
Please file the form at external.openoffice.org and paste it here.
Comment 2 Martin Hollmichel 2007-06-12 13:54:37 UTC
accepted for review.
Comment 3 rail_ooo 2007-06-12 14:00:04 UTC
mh: do I need to resend applicatiion form?
Comment 4 Martin Hollmichel 2007-06-12 14:09:13 UTC
@rail: no, I got it.
Comment 5 Martin Hollmichel 2007-09-07 13:56:58 UTC
approved.
Comment 6 pavel 2007-09-07 19:17:15 UTC
.
Comment 7 pavel 2007-10-21 13:23:10 UTC
Done in cws dictionariesfor24.

Rail: please verify there.
Comment 8 rail_ooo 2007-10-22 09:54:57 UTC
Pavel:
I tested it on OOG680_m5 with replaced dictionaries dir (cvs -d
':pserver:anoncvs@anoncvs.services.openoffice.org:/cvs' checkout
-rcws_src680_dictionariesfor24 dictionaries).

dictionaries/unxlngi6.pro/bin/writingaids.zip file contains th_ru_RU_v2.dat and
th_ru_RU_v2.idx files, dictionary.lst file contains "THES ru RU th_ru_RU_v2" entry.

Let me know if I need to test it deeper (SRC680+full build).
Comment 9 pavel 2007-10-22 11:05:31 UTC
Rail: please test the thesaurus also in the installed OOo.
Comment 10 rail_ooo 2007-10-22 14:15:08 UTC
Works fine in the installed OOo.
Comment 11 pavel 2007-10-22 14:16:06 UTC
rail: Thanks.

Marking this issue as verified.
Comment 12 pavel 2007-12-21 20:31:59 UTC
Closing.